#include<iostream>
#include<conio.h>

#define NROW 5
#define NCOL 5

void readMatrix(double[NROW][NCOL], int, int);
void exchangeMinMax(double[NROW][NCOL], int, int);
void printMatrix(double[NROW][NCOL], int, int);

using namespace std;

int main()
{    
    double A[NROW][NCOL], AT[NCOL][NROW];
    
    readMatrix(A,NROW,NCOL);
    exchangeMinMax(A,NROW,NCOL);
    printMatrix(A,NROW,NCOL);
             
    getch();
    return 0;
}

void readMatrix(double X[NROW][NCOL], int row, int col){
      for(int i=0; i<row; i++)
          for(int j=0; j<col; j++)
              cin>>X[i][j];  
}

void exchangeMinMax(double X[NROW][NCOL], int row, int col){
      int i_min=0, j_min=0, i_max=0, j_max=0;
      for(int i=0; i<row; i++)
          for(int j=0; j<col; j++){
              if(X[i][j]<X[i_min][j_min]){
                  i_min=i;
                  j_min=j;
              }
              if(X[i][j]>X[i_max][j_max]){
                  i_max=i;
                  j_max=j;
              }
          }
      double tmp=X[i_min][j_min];
      X[i_min][j_min]=X[i_max][j_max];
      X[i_max][j_max]=tmp;
}

void printMatrix(double Y[NROW][NCOL], int row, int col){
     cout<<"-----------------------"<<endl;
     for(int i=0; i<row; i++){
          for(int j=0; j<col; j++)
              cout<<Y[i][j]<<"  ";
          cout<<endl;
     } 
}
